## modemmanager 0.4+git.20110124t203624.00b6cce

=== debian/changelog ===
modemmanager (0.4+git.20110124t203624.00b6cce-2ubuntu1) natty; urgency=low

  * debian/patches/git-backport-e208c52-to-0c4b944.patch: backport a number of
    upstream bug fixes:
    - gsm: fix for parsing malformed Gobi CREG response
    - core: allow plugins to handle custom init responses (LP: #712580)
    - policy: loosen permissions somewhat for reading device info (kde#266807)
    - logging: use glong for secs and usecs
    - cdma: ensure the ActivationStateChanged signal exists
    - log: fix spacing so messages line up
    - simtech: add port tags for SCT U300 (Element Mobile)
    - core: allow platform devices without a VID/PID
    - zte: fix handling of Icera simple connect process
    - icera: fix username and password ordering for authentication
  * debian/patches/0001-Use-type-glong-for-secs-and-usecs.patch: drop, included
    in the above backports from upstream.
  * debian/patches/git-backport-verbose-cmee-errors-7d20acc.patch: backport
    patch to make sure error reporting is set to verbose when asking modems
    about PIN status, so we get a useful message instead of a generic error.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Sun, 10 Apr 2011 18:16:54 -0400

modemmanager (0.4+git.20110124t203624.00b6cce-2) unstable; urgency=low

  * debian/patches/0001-Use-type-glong-for-secs-and-usecs.patch
    - GVariant defines tv_usec  as glong and suseconds_t is not guaranteed to
      be of type long on sparc, resulting in a build failure.
      So use type glong instead for sec and usecs.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 11:16:05 +0100

modemmanager (0.4+git.20110124t203624.00b6cce-1) unstable; urgency=low

  * Upload to unstable.
  * Fixes GTest build failures. (Closes: #614448)
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * Bump Standards-Version to 3.9.1. No further changes.
  * Bump Build-Depends on libdbus-glib-1-dev to (>= 0.86).

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 00:08:15 +0100

modemmanager (0.4+git.20110124t203624.00b6cce-0ubuntu1) natty; urgency=low

  * upstream snapshot 2011-01-24 20:36:24 (GMT)
    + 00b6cce4df7d4acbf3e580a03c2f044e18589d2c
    - rules: blacklist some unlikely USB serial dongles
    - gsm: enable unsolicited codes on secondary ports too
    - test: handle cancel and distinguish between initiate and respond
    - gsm: wire up USSD Respond function
    - api: add reply parameter to USSD Respond method
    - linktop: add plugin for Linktop/Teracom LW273
    - gsm: prefer AT+CIND signal quality for modems that support it (LP: #682282)
    - huawei: don't spam syslog with tx/rx stats (LP: #673457, #662791)
    - gsm: query signal strength with +CIND if modem does not support +CSQ
    - gsm: add preliminary USSD support
    - huawei: fix potential double-free on error
    - core: prefer CDMA capabilities over GSM for dual-mode devices
    - gsm: allow use of GSM 03.38 character set
    - polkit: fix for polkit >= 0.97
    - core: work around dbus-glib property access bug (CVE-2010-1172)
  * debian/patches/qdl-blacklist.patch: add a blacklist of Gobi QDL devices so
    that we don't break firmware loading by trying to initialize them before
    the modem is really ready. (LP: #686418)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 26 Jan 2011 21:03:12 -0500

modemmanager (0.4+git.20100809t153145.be28089-0ubuntu1) maverick; urgency=low

  * upstream snapshot 2010-08-09 15:31:45 (GMT)
    + be28089dc4c1b07d9def45a3c763f432ae8322c4
    - cdma: determine EVDO registration even when in 1X mode
    - zte: add more port tags
    - gsm: ensure invalid operator names don't get used (rh #597088)
    - nokia: N900 appears to need a longer port delay (rh #583691)
    - novatel: detect CDMA home/roaming status
    - novatel: fix S720 signal quality reporting

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 11 Aug 2010 10:57:27 -0400

modemmanager (0.4+git.20100624t180933.6e79d15-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release. (Closes: #585957)
  * Drop debian/patches/01-termios.patch, merged upstream.
  * debian/rules
    - Drop aclocal workaround, no longer required.
    - Add intltoolize call to pre-build.

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2010-06-24 18:09:33 (GMT)
    + 6e79d153efc30fb2030536f7f795c19ad4a0661a
  * Add myself to Uploaders.
    - update debian/control

  [ Michael Biebl ]
  * Use watch file to track new upstream releases.
    - Add debian/watch.
  * Add Build-Depends on intltool.
    - Update debian/control.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Jun 2010 02:46:38 +0200

modemmanager (0.3-2) unstable; urgency=low

  [ Alexander Sack ]
  * also bump debhelper build-depends to >= 7
    - update debian/control
  * recommend usb-modeswitch
    - update debian/control
  * fix lintian warning about empty quilt series file; add
    a single line comment
    - update debian/patches/series
  * add Michael Biebl <biebl@debian.org> to Uploaders
    - update debian/control
  * use asac@ubuntu.com as maintainer as the mailing list
    bounces bug mail (Closes: #566833)
    - update debian/control

  [ Michael Biebl ]
  * Bump Standards-Version to 3.8.4. No further changes.
    - update debian/control
  * Fix FTBFS on alpha by using the POSIX.1 struct termios interface instead
    of the obsolete struct termio ioctl interface. (Closes: #570661)
    - add debian/patches/01-termios.patch

 -- Michael Biebl <biebl@debian.org>  Mon, 01 Mar 2010 18:07:54 +0100

modemmanager (0.3-1) unstable; urgency=low

  * initial upload to debian (Closes: #546587)
  * address ftpmaster comments: refined debian/copyright to list all copyright
    holders and explicitly declare doc-generator.xsl to be LGPL-2.1
    - update debian/copyright
  * use debhelper compat level 7 and bump Standards-Version to 3.8.3

