=== debian/control ===
Source: modemmanager
Section: net
Priority: optional
Maintainer: Alexander Sack <asac@ubuntu.com>
Uploaders: Alexander Sack <asac@debian.org>, Michael Biebl <biebl@debian.org>, Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
Build-Depends: debhelper (>= 7),
	automake (>= 1:1.10), automake (<< 1:1.12),
	cdbs,
	libtool,
	libdbus-glib-1-dev (>= 0.86),
	libglib2.0-dev (>= 2.18),
	libgudev-1.0-dev,
	xsltproc,
	intltool
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~modemmanager/modemmanager/ubuntu

Package: modemmanager
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: usb-modeswitch
Description: D-Bus service for managing modems
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
