## modemmanager 0.5

=== debian/changelog ===
modemmanager (0.5-1ubuntu1.1) oneiric-proposed; urgency=low

  * debian/patches/git_revert_huawei_probing_rework_7e406c2.patch: revert the
    rework for probing Huawei devices that was introduced in 0.5; it appears to
    break the Huawei E220 and as such constitues a regression. The revert
    appears to let all devices properly work (even the newer ones) and is
    included in version 0.5.2. (LP: #868034)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 14 Mar 2012 15:35:28 -0400

modemmanager (0.5-1ubuntu1) oneiric; urgency=low

  * debian/patches/qdl-blacklist.patch: add more devices to the blacklist of
    Gobi QDL devices. (LP: #842702, #807889)
    - [1410:a014] Novatel Gobi found in the Google CR-48.
    - [03f0:241d] HP un2420 Gobi found in the HP Mini 5102 and Mini 5103.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 06 Sep 2011 10:09:17 -0400

modemmanager (0.5-1) unstable; urgency=low

  * debian/rules: override dh_autoreconf in a nicer way so we don't have to
    clean up manually afterwards.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Aug 2011 01:47:27 +0200

modemmanager (0.5-0ubuntu1) oneiric; urgency=low

  * New upstream release 0.5.
    - gsm: send init command twice to make the N900 happy (LP: #765516)
    - fix sierra modems' sleep mode command (LP: #459052, #738005)
  * debian/patches/lp700316_usb_blacklist.patch: add extra devices to blacklist
    of USB devices known to usually be serial dongles or other things MM should
    not touch. (LP: #700316)
  * debian/control, debian/rules: add a -dbg package for modemmanager, and
    override dh_strip accordingly. (LP: #415394)
  * debian/rules: fix .la/.a file removal to not fail if there is nothing to
    remove.
  * debian/modemmanager.install: install files to the modemmanager package
    explicitly now that it's not the only binary package.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 05 Aug 2011 12:46:32 -0400

modemmanager (0.4.997-1ubuntu1) oneiric; urgency=low

  * debian/modemmanager.upstart: add an upstart config file so ModemManager
    gets started just before NM, and stopped along with it. (LP: #806082)
  * debian/rules: install upstart file only for Ubuntu.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 08 Jul 2011 15:32:13 -0400

modemmanager (0.4.997-1) unstable; urgency=low

  * debian/watch: Switch to .bz2 tarballs.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jun 2011 17:12:41 +0200

modemmanager (0.4.997-0ubuntu1) oneiric; urgency=low

  * New upstream release 0.4.997.
    + switch to git branch MM_05. 

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 09 Jun 2011 09:41:20 -0400

modemmanager (0.4+git.20110429t103114.863dbca-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * debian/rules, debian/control: migrate from CDBS to using dh

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2011-04-29 10:31:14 (GMT)
    + 863dbca63132b820fca6c48a9c212f852752ee16
  * debian/README.source: add instructions for using this packaging branch and
    how to build from it; adapted from the NetworkManager package.
  * debian/rules, debian/control: update control and rules to use dh-autoreconf
    rather than just autoreconf.
  * debian/control: bump Standards-Version to 3.9.2.
  * debian/rules: re-add DEB_* variables which got dropped from the dh
    migration, since we no longer include buildvars.mk.
  * debian/patches/git-backport-e208c52-to-0c4b944.patch,
    debian/patches/git-backport-verbose-cmee-errors-7d20acc.patch: dropped,
    applied upstream.
  * debian/control: bump debhelper Build-Depends to 8.
  * debian/compat: bump to compat level 8, according to the debhelper update.
  * debian/rules: cleanup extra files left behind by intltoolize.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2011 13:17:33 +0200
