=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/ModemManager/([\d\.]+)/ModemManager-(.*)\.tar\.bz2
