=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Alexander Sack <asac@ubuntu.com>
 Uploaders: Alexander Sack <asac@debian.org>, Michael Biebl <biebl@debian.org>, Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 8),
+	dh-autoreconf,
 	automake (>= 1:1.10), automake (<< 1:1.12),
-	cdbs,
 	libtool,
 	libdbus-glib-1-dev (>= 0.86),
 	libglib2.0-dev (>= 2.18),
 	libgudev-1.0-dev,
 	xsltproc,
 	intltool
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Bzr: https://code.launchpad.net/~modemmanager/modemmanager/ubuntu
 
 Package: modemmanager
@@ -28,3 +28,18 @@
  .
  Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
 
+Package: modemmanager-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: modemmanager (= ${binary:Version}),
+	${misc:Depends}
+Description: D-Bus service for managing modems - debugging symbols
+ Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
+ UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
+ for non standard devices. Also provides patches to use networkmanager (and
+ the applet) with modem manager.
+ .
+ Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
+ .
+ This package contains debugging symbols for ModemManager.
