## modemmanager 0.6.0.0.really

=== debian/changelog ===
modemmanager (0.6.0.0.really-0ubuntu7) saucy; urgency=low

  * debian/patches/lp1229748_bluegiga_blacklist.patch: don't reset BLED112B.
    (LP: #1229748)

 -- Alan Bell <alanbell@ubuntu.com>  Tue, 24 Sep 2013 15:39:47 +0100

modemmanager (0.6.0.0.really-0ubuntu6) saucy; urgency=low

  * Build-depend on automake1.11.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Sep 2013 14:57:53 +0200

modemmanager (0.6.0.0.really-0ubuntu5) raring; urgency=low

  * debian/patches/lp1164023_try_csq_if_cind_fails_5d854a3.patch: fallback to
    trying AT+CSQ if AT+CIND fails. (LP: #1164023)
  * debian/patches/git_udev_match_both_vid_pid_e322ccf.patch: match both VID
    and PID when matching devices: If the rules to tag specific USB interface
    numbers only apply on the PID, we'll end up seeing that if the port has a
    parent with another PID, and that other PID also has a rule, port will get
    tagged multiple times.
  * debian/patches/git_mbm_remove_check_poll_when_conn_1652019.patch: mbm:
    remove connection attempt check poll explicitly when connected: Completing
    a MMCallbackInfo is done asynchronously (in an idle), which means that we
    may get the poll timeout called in between...

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 10 Apr 2013 21:20:53 -0400

modemmanager (0.6.0.0.really-0ubuntu4) raring; urgency=low

  * debian/patches/git_cdma_double_free_05a4226.patch: cdma: avoid double free
    of GError (LP: #1083659)
  * debian/patches/git_ignore_arduino_aa84ce9.patch: properly ignore more
    arduino devices. (LP: #1153632)
  * debian/patches/git_ignore_west_mountain_radios_e608b17.patch: ignore West
    Mountain amateur radio systems. (LP: #1154654)
  * debian/patches/lp700316_usb_blacklist.patch: refreshed.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 01 Apr 2013 11:07:37 -0400

modemmanager (0.6.0.0.really-0ubuntu3) raring; urgency=low

  * debian/patches/linux-default-usb-id.patch: blacklist the USB-Gadget default
    USB ID (the module actually allows you to set a custom one). The default ID
    is re-used by the Nexus 7 with Ubuntu images to expose a tty you can use
    to login to the system; but if it's not ignored ModemManager will
    harass it for some time trying to probe it. (LP: #1105352)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 Jan 2013 11:24:42 -0500

modemmanager (0.6.0.0.really-0ubuntu2) raring; urgency=low

  * debian/patches/handle_data07_capabilities_probing.patch: properly handle
    probing for the Huawei Data07 modem. (LP: #1071492)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Nov 2012 17:26:04 -0500

modemmanager (0.6.0.0.really-0ubuntu1) quantal; urgency=low

  * Upload the right tarball for 0.6.0.0 from upstream, which I somehow
    mishandled before. Thanks to Marius B. Kotsbak for pointing out the issue.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Oct 2012 11:03:19 -0400

modemmanager (0.6.0.0-0ubuntu4) quantal; urgency=low

  * debian/patches/git_fall_back_to_csq_cind_8bd6903.patch: fallback to +CSQ if
    +CIND reports a signal level of 0. (LP: #1060831)
  * debian/patches/git_move_cind_process_func_1dee45e.patch: moving the CIND
    processing function down a bit to make the above change cleaner. Cherry-pick
    from upstream.
  * debian/patches/ericsson_h5321gw_usbids.patch: Add another known USB ID for
    the Ericsson H5321gw. (LP: #1057956)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 04 Oct 2012 16:38:54 -0400

modemmanager (0.6.0.0-0ubuntu3) quantal; urgency=low

  * debian/patches/git_lte_4g_parsing_90489ae.patch,
    debian/patches/git_lte_etsi_mode_0af47c7.patch: cherry-pick the patches
    to properly handle and display LTE/4G technology modes. (LP: #1044744)
  * debian/patches/git_lp1015328_segfault_in_clck_parser_318aaa0.patch: avoid
    crashing when parsing +CLCK responses. (LP: #1015328)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 25 Sep 2012 16:51:16 -0400

modemmanager (0.6.0.0-0ubuntu2) quantal; urgency=low

  * debian/patches/git_better_handle_ucs2_convert_e07c216.patch,
    debian/patches/git_skip_add_utf8_check_219424a.patch: fix UCS2 conversion
    for some Huawei devices which return "garbage" along with the response for
    the +COPS command. (LP: #1049426)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 14 Sep 2012 14:15:15 -0400

modemmanager (0.6.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1043486)
  * debian/patches/fix-format-string.patch: dropped, applied upstream.
  * debian/patches/qdl-blacklist.patch: replaced with installing the rules file
    directly to the udev rules directory.
  * debian/77-mm-qdl-device-blacklist.rules, debian/rules: additional rules
    file from the qdl-blacklist.patch; we now install it directly to the udev
    rules directory. This fixes daily builds.
  * debian/rules: build with --with-tests.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 07 Sep 2012 10:58:06 -0400

modemmanager (0.6~git201206221719.8289a64-0ubuntu1) quantal; urgency=low

  * upstream snapshot 2012-06-22 17:19:35 (GMT)
    + 8289a646fd19b6ddfba48214e94297ff96f731eb
    - decode: harmonize with git master
    - decode: update with latest QMI enums
    - zte: try to handle Icera devices that use PPP
    - uml290: allow setting more global modes (LP: #824114)
    - qcdm: fix 1x/HDR mode pref and add GSM/UMTS mode prefs
    - trivial: whitespace fixes
    - uml290: add mode switching tool
    - wmc: namespace stuff properly
    - qcdm: namespace stuff properly
    - wmc: add command for setting global mode
    - cdma: fix QCDM registration state checking
    - test: ignore ESN errors in info.py
    - dbus: remove 'max_replies_per_connection' limit from D-Bus configuration
  * debian/patches/fix-format-string.patch: fix a missing format string in
    a fprintf call for uml290mode; it makes the build fail otherwise.


