=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alexander Sack <asac@debian.org>, Michael Biebl <biebl@debian.org>, Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
 Build-Depends: debhelper (>= 8),
 	dh-autoreconf,
-	automake (>= 1:1.10), automake (<< 1:1.12),
+	automake1.11,
 	libtool,
 	libdbus-glib-1-dev (>= 0.86),
 	libglib2.0-dev (>= 2.18),
