## modemmanager 1.0.0

=== debian/changelog ===
modemmanager (1.0.0-2ubuntu1) trusty; urgency=medium

  * debian/rules: Work around build failure with -O3 by dropping to -O2.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 25 Feb 2014 16:12:24 -0700

modemmanager (1.0.0-2) experimental; urgency=medium

  * Sync more changes from Ubuntu:
    - changelog for 0.6.0.0.really-0ubuntu4 (all changes dropped, they are
      patches included in the current upstream version).
    - changelog for 0.6.0.0.really-0ubuntu5 (all changes dropped, they are
      patches included in the current upstream version).
    - changelog for 0.6.0.0.really-0ubuntu6.
    - Build-Depend on automake1.11.
    - changelog for 0.6.0.0.really-0ubuntu7.
    - lp1229748_bluegiga_blacklist.patch: don't reset BLED112B.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 14 Jan 2014 10:02:26 -0500

modemmanager (1.0.0-1) experimental; urgency=low

  * New upstream release. (Closes: #728214, #728215)
  * debian/control: add a versioned dependency for libqmi -- we need at least
    version 1.4.
  * debian/control: build-depends on libmbim-glib-dev 1.4
  * debian/rules: run the local autogen.sh rather than gnome-autogen.sh.
  * debian/rules: drop --with-tests. 
  * debian/rules: clean up after gtk-doc files left around.
  * debian/patches/glib_fixes.patch: link against glib explicitly for the
    huawei modem helper tests.
  * debian/libmm-glib0.symbols: updated symbols: Contacts interface that was
    in 0.7.990 got dropped; it's not actually implemented, so upstream avoids
    exposing it.
  * debian/watch: update watch file for new location of upstream source.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 20 Dec 2013 15:35:26 -0500

modemmanager (0.7.991-1) experimental; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * New upstream release.
  * debian/patches/handle_data07_capabilities_probing.patch,
    debian/patches/git_skip_add_utf8_check_219424a.patch,
    debian/patches/git_lte_etsi_mode_0af47c7.patch,
    debian/patches/git_lte_4g_parsing_90489ae.patch,
    debian/patches/git_lp1015328_segfault_in_clck_parser_318aaa0.patch,
    debian/patches/git_better_handle_ucs2_convert_e07c216.patch: Dropped,
    these patches were cherry-picks; included upstream
  * debian/patches/ericsson_h5321gw_usbids.patch: dropped, included upstream.
  * debian/control:
    - clean up build-depends: remove xsltproc, bump
      libglib2.0-dev to (>= 2.30.2), libgudev-1.0-dev to (>= 147).
    - Add gtk-doc-tools to Build-Depends.
    - Add libqmi-glib-dev to Build-Depends.
    - Add gnome-common to Build-Depends.
    - Bump debhelper Build-Depends to >= 9.
    - Make sure libmm-glib0 pre-depends on multiarch-support (lintian).
    - Make libmm-glib0 Multi-Arch: same.
    - Make sure all binary packages (except modemmanager-dbg) are priority
      optional.
    - Update short descriptions.
    - Breaks network-manager (<< 0.9.8.2-1) since otherwise NetworkManager
      will not see ModemManager with its new API.
  * debian/compat: bump to compat level 9.
  * debian/rules:
    - Replace --with-docs with --enable-gtk-doc.
    - Fix autoreconf to run gnome-autogen.sh.
    - Drop the override for installdocs; docs/spec.html isn't being built
      anymore.
    - Run dh_install with --fail-missing.
    - Remove test pppd plugin which we shouldn't install.
    - Drop old cruft for getting git snapshots.
    - We don't need to exclude the pppd path from makeshlibs, since nothing
      gets installed there.
  * debian/patches/lp700316_usb_blacklist.patch: refreshed.
  * debian/patches/arduino-blacklist.patch: refreshed.
  * debian/patches/linux-default-usb-id.patch: refreshed.
  * debian/*.install: make sure the files are properly installed given the new
    packages, also take into account multiarch paths.
  * debian/modemmanager.install: install the new mmcli binary.
  * debian/ubuntu/modemmanager.upstart: fix the name for the ModemManager
    binary, since it was changed upstream.
  * debian/patches/dbus_remove_max_replies_per_connection_limit.patch: dropped,
    included upstream.

  [ Michael Biebl ]
  * Add symbols file for libmm-glib0.

  [ Marius B. Kotsbak ]
  * Added binary packages modemmanager-doc and libmm-glib-doc for gtk-docs.
  * Split out modemmanager-dev package containing header files and .pc file.
    - add dependency on modemmanager-dev from libmm-glib-dev
      as stated in "mm-glib.pc"
    - add proper replaces/breaks for modemmanager-dev because of moved files
  * Build-depends: added "libglib2.0-doc" for the cross references in the doc
    to work.
  * debian/rules: make dh_makeshlibs override multiarch aware.
  * Update standards version to current 3.9.4.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 11 Jun 2013 10:35:42 -0400
