=== debian/watch ===
version=3
http://www.freedesktop.org/software/ModemManager/ModemManager-(.*)\.tar\.xz
